newt_form_get_current
newt_form_set_background
Newt Functions
PHP Manual

# newt_form_run

Runs a form

### Description

void newt_form_run ( resource `$form` , array `&$exit_struct` )

This function runs the form passed to it.

### Parameters

`form`

  Form component

`exit_struct`

  Array, used for returning information after running the form component. Keys and values are described in the following table:

  Form Exit Structure
  Index Key | Value Type | Description
  --- | --- | ---
  reason | integer | The reason, why the form has been exited. Possible values are defined here.
  watch | resource | Resource link, specified in newt_form_watch_fd
  key | integer | Hotkey
  component | resource | Component, which caused the form to exit

### Return Values

No value is returned.

### See Also

- newt_run_form